<!DOCTYPE html>
<html>
	<head>
		<meta charset="utf-8">
		<meta name="viewport" content="width=device-width, initial-scale=1">
		<title>HTML Tables and Forms</title>
	</head>
	<body>
		<!-- div tags -->
		<!-- div tags are container, to group elements in our webpage -->
		<!-- more importantly used in CSS  -->
		<!-- div means division of webpage. -->
		<!-- <div id="header">
			<h1>HTML Tables and Forms</h1>
		</div>
 		can use SEMANTICS AND WILL BE-->

 		<header>
 			<h1>HTML Tables and Forms</h1>
 		</header>

		<!-- what's the difference between id and class -->

	<!-- <div id="main">  -->
		<main>
		<!-- <div class="section"> -->
		<section>
			<h2>HTML Entities</h2>
			<p><em>Reserved characters in HTML (e.g. &lt; or &gt; characters that can mix up with the HTML code.)</em><p>

			<!-- Defines HTML table -->
			<table border="1">
				<!-- thead bold characters -->
				<!-- Used to group table header content -->
				<thead> 
					<tr>
						<!-- th Defines a table header (bold) -->
						<!-- have an attribute of colspan, 2 colums ang maoocupy -->
						<th colspan="2">Entity</th>
						<th>Description</th>
					</tr>
				</thead>

				<!-- Used to group table body content-->
				<tbody>
					<!-- Defines a table row -->
					<tr>
						<!-- Defines a table data element -->
						<td>&lt;</td>
						<td>lt</td>
						<td>less than</td>
					</tr>

					<tr>
						<td>&gt;</td>
						<td>gt</td>
						<td>greater than</td>
					</tr>

					<tr>
						<td>&#8369;</td>
						<td>#8369</td>
						<td>peso sign</td>
					</tr>

					<tr>
						<td>&amp;</td>
						<td>amp</td>
						<td>ampersand</td>
					</tr>

					<tr>
						<td>&quot;</td>
						<td>quot</td>
						<td>double quotation mark</td>
					</tr>

					<tr>
						<td>&apos;</td>
						<td>apos</td>
						<td>single quotation mark</td>
					</tr>

					<!-- tilde is enye -->
					<tr>
						<td>&ntilde;</td>
						<td>ntilde</td>
						<td>Lower Tilde</td>
					</tr>

					<tr>
						<td>&Ntilde;</td>
						<td>Ntilde</td>
						<td>Upper Tilde</td>
					</tr>
				</tbody>

				<!-- Used to group table footer content -->
				<tfoot>
					<tr>
						<th colspan="3">List of HTML Entities</th>
					</tr>
				</tfoot>
			</table>
		</section>

		<div class="section">
			<h2>HTML Forms</h2>
			<p><em>Input elements to make up a form.</em></p>

			<!-- a tag for form = form tag -->
			<!-- action = kung saan nagsubmit dito sa action mapupunta -->
			<!-- Creates an HTML that will capture user input -->
			<form action="https://google.com">
				<!-- For information of user -->
				<!-- Label kung ano ung nakalagay mismo sa form -->
				<!-- for="" nahihighlight ung form pagkaclick sa label -->
				<label for="full_name">Full Name:</label>
				<!-- input type is what kind of information need in label -->
				<!-- require= may lumalabas na "Please fill out this field pagka click ng submit" -->
				<!-- autocomplete = may lalabas na suggestion after mo magclick ng submit -->
				<!-- inout type="text" -->
				<input type="text" name="full_name" id="full_name" required autocomplete> <br>

				<!-- input type="date" -->
				<label for="birth_date">Birth Date</label>
				<input type="date" name="birth_date" id="birth_date" required> <br>

				<!-- inout type="numbers" -->
				<label for="age">Age:</label>
				<input type="number" name="age" id="age" required> <br>

				<!-- Dropdown -->
				<label for="gender">Gender:</label>
				<!-- Options for dropdown menu -->
				<select name="gender" id="gender">
					<!-- value is the information send in the name="" -->
					<option value="Male">Male</option>
					<option value="Female">Female</option>
				</select> <br>

				<!-- for="notes" rows="number kung gaano kahabao ung text area" -->
				<label for="notes">Notes:</label> <br>
				<!-- creates larger text input -->
				<textarea name="notes" id="notes" rows="5"></textarea> <br>

				<!-- radio button -->
				<!--  -->
				<label>New User:</label> <br>
				<!-- chooses for radio button -->
				<!-- inline din  -->
				<!-- can not have multiple answer -->
				<input type="radio" name="new_user" id="user-type1" value="yes">
				<label for="user-type1">Yes</label> <br>
				<input type="radio" name="new_user" id="user-type2" value="no">
				<label for="user-type2">No</label> <br>

				<!-- Checkbox -->
				<label>Role:</label> <br>
				<!-- chooses for checkbox -->
				<!-- can have multiple answer -->
				<input type="checkbox" name="role1" id="role1" value="developer">
				<label for="role1">Developer</label> <br>
				<input type="checkbox" name="role2" id="role2" value="student">
				<label for="role2">Student</label> <br>
				<input type="checkbox" name="role3" id="role3" value="manager">
				<label for="role3">Manager</label> <br> <br>

				<!-- type = either submission or reset of form -->
				<!-- button is inline element -->
				<button type="submit">Submit</button>	
				<button type="reset">Reset</button>
			</form>
		</section>
 	</main>
	</body>
</html>

<!-- Semantics just use for easier reading of codes -->
<!-- Semantic is just a more descriptive way of div  -->

<!-- What's the difference between id and class -->

<!-- What is navigation tag for? -->

<!-- Front End Programming, Back End PRogramming, Full Stack Programming -->